/Docs
Search docs or ask a question⌘K
DocsAgent
Changelog
API Reference Verify Email

Verify Email

Confirm an email address with the token from a verification link.

POST/v1/auth/verify-emailTry it

Confirms the account's email address with the token from the link in a verification email — sent at Register, by Send Verification Email and by Change Email.

Note

Public — the token is the credential, so you don't need to be signed in. Each token works once and expires 24 hours after it was sent.

Request Body

NameDescription
token:stringbodyRequired
The token from the verification link, at least 16 characters.

Errors

StatusCodeWhen
400validation_errortoken is missing or shorter than 16 characters
400bad_requestThe token is unknown, already used or expired (Invalid or expired verification link) — send a new one
Was this page helpful? Yes No
Request
cURLJavaScriptPythonGoRubyPHPJavaC#cURL
curl -X POST https://api.syntext.dev/v1/auth/verify-email \
-H "Content-Type: application/json" \
-d '{ "token": "'"$VERIFY_TOKEN"'" }'
Responseapplication/json
200OK
{
"data": { "verified": true }
}
Product
Resources
Company
© 2026 SyntextBuilt with Syntext